Bug 1320396 - [abrt] gnome-software: magazine_chain_pop_head(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: magazine_chain_pop_head(): gnome-software killed by SI...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: AcceptedBlocker abrt_hash:1063d7a8dfd...
Keywords:
Depends On:
Blocks: F24FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2016-03-23 06:51 UTC by Adam Williamson
Modified: 2016-05-16 17:21 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-05-16 17:21:53 UTC


Attachments (Terms of Use)
File: backtrace (51.55 KB, text/plain)
2016-03-23 06:51 UTC, Adam Williamson
no flags Details
File: cgroup (148 bytes, text/plain)
2016-03-23 06:51 UTC, Adam Williamson
no flags Details
File: core_backtrace (26.03 KB, text/plain)
2016-03-23 06:51 UTC, Adam Williamson
no flags Details
File: dso_list (13.83 KB, text/plain)
2016-03-23 06:51 UTC, Adam Williamson
no flags Details
File: environ (1.46 KB, text/plain)
2016-03-23 06:51 UTC, Adam Williamson
no flags Details
File: exploitable (82 bytes, text/plain)
2016-03-23 06:51 UTC, Adam Williamson
no flags Details
File: limits (1.29 KB, text/plain)
2016-03-23 06:51 UTC, Adam Williamson
no flags Details
File: maps (61.55 KB, text/plain)
2016-03-23 06:51 UTC, Adam Williamson
no flags Details
File: mountinfo (3.81 KB, text/plain)
2016-03-23 06:51 UTC, Adam Williamson
no flags Details
File: namespaces (85 bytes, text/plain)
2016-03-23 06:51 UTC, Adam Williamson
no flags Details
File: open_fds (1.65 KB, text/plain)
2016-03-23 06:51 UTC, Adam Williamson
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-03-23 06:51 UTC, Adam Williamson
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-03-23 06:51 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2016-03-23 06:51:24 UTC
Description of problem:
Install F24 Alpha candidate 7 (Alpha-1.7) Workstation x86_64 live to a KVM, boot installed system, create user in g-i-s, leave system sitting at desktop for a bit (I'd guess it's crashing during check for available updates, I don't see an update notification and I should).

Version-Release number of selected component:
gnome-software-3.19.91-2.fc24

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-software
global_pid:     2193
kernel:         4.5.0-0.rc7.git0.2.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 magazine_chain_pop_head at gslice.c:539
 #1 magazine_cache_trim at gslice.c:678
 #2 magazine_cache_push_magazine at gslice.c:710
 #3 thread_memory_magazine2_unload at gslice.c:809
 #4 g_slice_free1 at gslice.c:1118
 #5 g_list_free_1 at glist.c:203
 #6 g_queue_pop_head at gqueue.c:521
 #7 continue_writing at gdbusprivate.c:1424
 #8 continue_writing_in_idle_cb at gdbusprivate.c:1516
 #13 gdbus_shared_thread_func at gdbusprivate.c:246

Potential duplicate: bug 1044730

Comment 1 Adam Williamson 2016-03-23 06:51:28 UTC
Created attachment 1139338 [details]
File: backtrace

Comment 2 Adam Williamson 2016-03-23 06:51:29 UTC
Created attachment 1139339 [details]
File: cgroup

Comment 3 Adam Williamson 2016-03-23 06:51:30 UTC
Created attachment 1139340 [details]
File: core_backtrace

Comment 4 Adam Williamson 2016-03-23 06:51:31 UTC
Created attachment 1139341 [details]
File: dso_list

Comment 5 Adam Williamson 2016-03-23 06:51:32 UTC
Created attachment 1139342 [details]
File: environ

Comment 6 Adam Williamson 2016-03-23 06:51:33 UTC
Created attachment 1139343 [details]
File: exploitable

Comment 7 Adam Williamson 2016-03-23 06:51:34 UTC
Created attachment 1139344 [details]
File: limits

Comment 8 Adam Williamson 2016-03-23 06:51:35 UTC
Created attachment 1139345 [details]
File: maps

Comment 9 Adam Williamson 2016-03-23 06:51:36 UTC
Created attachment 1139346 [details]
File: mountinfo

Comment 10 Adam Williamson 2016-03-23 06:51:37 UTC
Created attachment 1139347 [details]
File: namespaces

Comment 11 Adam Williamson 2016-03-23 06:51:38 UTC
Created attachment 1139348 [details]
File: open_fds

Comment 12 Adam Williamson 2016-03-23 06:51:39 UTC
Created attachment 1139349 [details]
File: proc_pid_status

Comment 13 Adam Williamson 2016-03-23 06:51:40 UTC
Created attachment 1139350 [details]
File: var_log_messages

Comment 14 Adam Williamson 2016-03-23 06:54:04 UTC
As this appears to prevent 'updates available' notifications (at least at first glance), proposing as a Final blocker: "Release-blocking desktops must notify the user of available updates, but must not do so when running as a live image."

Comment 15 Kamil Páral 2016-03-29 17:01:51 UTC
Discussed at today's blocker review meeting [1]. Voted as AcceptedBlocker (Final) - this appears to violate "Release-blocking desktops must notify the user of available updates, but must not do so when running as a live image."

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2016-03-29

Comment 16 Kamil Páral 2016-05-16 17:21:53 UTC
I tested this today, no crash, software updates popup appeared. I assume it's probably fixed now. There are no more crashes shown in FAF either. Please reopen if you can reproduce.


Note You need to log in before you can comment on or make changes to this bug.